com.ihr.xbrl.om.utr

## Enum UTRProcessor.Status

- java.lang.Object
- - java.lang.Enum<UTRProcessor.Status>
  - - com.ihr.xbrl.om.utr.UTRProcessor.Status

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<UTRProcessor.Status>
  Enclosing class:
    UTRProcessor

      public static enum UTRProcessor.Status
      extends java.lang.Enum<UTRProcessor.Status>

  CR - Candidate Recommendation
  REC - RECOMMENDATION
  NIE - Not in effect (for whatever reason other than RR such as being withdrawn, superseded, found to be invalid etc.)
  PROPOSED - Submitted but with no official status yet granted by XBRL International
  ACK - Acknowledged by XBRL International (indicates that the unit is not being considered for REC status but is listed in the UTR for information purposes)
  RR - Rescinded RECOMMENDATION
  Author:
    Ignacio

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ACK` ACK - Acknowledged by XBRL International (indicates that the unit is not being considered for REC status but is listed in the UTR for information purposes).
    `CR` CR - Candidate Recommendation.
    `NIE` NIE - Not in effect (for whatever reason other than RR such as being withdrawn, superseded, found to be invalid etc.)
    `PROPOSED` PROPOSED - Submitted but with no official status yet granted by XBRL International.
    `REC` REC - RECOMMENDATION.
    `RR` RR - Rescinded RECOMMENDATION.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static UTRProcessor.Status` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static UTRProcessor.Status[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### RR

          public static final UTRProcessor.Status RR

      RR - Rescinded RECOMMENDATION.

    - #### ACK

          public static final UTRProcessor.Status ACK

      ACK - Acknowledged by XBRL International (indicates that the unit is not being considered for REC status but is listed in the UTR for information purposes).

    - #### PROPOSED

          public static final UTRProcessor.Status PROPOSED

      PROPOSED - Submitted but with no official status yet granted by XBRL International.

    - #### NIE

          public static final UTRProcessor.Status NIE

      NIE - Not in effect (for whatever reason other than RR such as being withdrawn, superseded, found to be invalid etc.)

    - #### CR

          public static final UTRProcessor.Status CR

      CR - Candidate Recommendation.

    - #### REC

          public static final UTRProcessor.Status REC

      REC - RECOMMENDATION.

  - ### Method Detail

    - #### values

          public static UTRProcessor.Status[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (UTRProcessor.Status c : UTRProcessor.Status.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static UTRProcessor.Status valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null